require 'spec_helper'

describe "tasks/show" do
  before(:each) do
    @task = assign(:task, stub_model(Task,
      :title => "Title",
      :notes => "MyText",
      :done => false
    ))
  end
  it "doesn't link to edit on complete tasks" do  
    @task.done = true
    render
    rendered.should_not match(/Edit/)
  end

  it "renders attributes in <p>" do
    render
    # Run the generator again with the --webrat flag if you want to use webrat matchers
    rendered.should match(/Title/)
    rendered.should match(/MyText/)
    rendered.should match(/false/)
  end
end
